import { AjaxFactory } from 'web-angularjs-user-factory/AjaxFactory';
import { BasicListFactory } from '../list/factory';
export declare class BasicItemService {
    ajaxFactory: AjaxFactory;
    listFactory: BasicListFactory;
    apiUrl: any;
    static serviceName: string;
    static $inject: any[];
    mode: string;
    constructor(ajaxFactory: AjaxFactory, listFactory: BasicListFactory, apiUrl: any);
    getMode(controller: any): "router" | "event";
    $get(): this;
    getItem(id: string, cb: (data: any) => void, failCB: (error: any) => void): void;
    saveItem(item: any, cb: (item) => void, failCB?: (data) => void): void;
    deleteItem(item: any, cb: () => void, failCB?: (data) => void): void;
    createItem(item: any, cb: (item) => void, failCB?: (data) => void): void;
    static BasicItemService(): any[];
    getId(controller: any, $stateParams: any): any;
}
